CfnDevEndpoint L1 construct
The AWS::Glue::DevEndpoint resource specifies a development endpoint where a developer can remotely debug ETL scripts for AWS Glue .
For more information, see DevEndpoint Structure in the AWS Glue Developer Guide.
| CloudFormation | AWS::Glue::DevEndpoint |
|---|---|
| Source | |
| Type last changed |
Example
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_glue as glue } from 'aws-cdk-lib';
declare const arguments_: any;
declare const tags: any;
const cfnDevEndpoint = new glue.CfnDevEndpoint(this, 'MyCfnDevEndpoint', {
roleArn: 'roleArn',
// the properties below are optional
arguments: arguments_,
endpointName: 'endpointName',
extraJarsS3Path: 'extraJarsS3Path',
extraPythonLibsS3Path: 'extraPythonLibsS3Path',
glueVersion: 'glueVersion',
numberOfNodes: 123,
numberOfWorkers: 123,
publicKey: 'publicKey',
publicKeys: ['publicKeys'],
securityConfiguration: 'securityConfiguration',
securityGroupIds: ['securityGroupIds'],
subnetId: 'subnetId',
tags: tags,
workerType: 'workerType',
});
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_glue as glue
# arguments_: Any
# tags: Any
cfn_dev_endpoint = glue.CfnDevEndpoint(self, "MyCfnDevEndpoint",
role_arn="roleArn",
# the properties below are optional
arguments=arguments_,
endpoint_name="endpointName",
extra_jars_s3_path="extraJarsS3Path",
extra_python_libs_s3_path="extraPythonLibsS3Path",
glue_version="glueVersion",
number_of_nodes=123,
number_of_workers=123,
public_key="publicKey",
public_keys=["publicKeys"],
security_configuration="securityConfiguration",
security_group_ids=["securityGroupIds"],
subnet_id="subnetId",
tags=tags,
worker_type="workerType"
)
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.glue.*;
Object arguments_;
Object tags;
CfnDevEndpoint cfnDevEndpoint = CfnDevEndpoint.Builder.create(this, "MyCfnDevEndpoint")
.roleArn("roleArn")
// the properties below are optional
.arguments(arguments_)
.endpointName("endpointName")
.extraJarsS3Path("extraJarsS3Path")
.extraPythonLibsS3Path("extraPythonLibsS3Path")
.glueVersion("glueVersion")
.numberOfNodes(123)
.numberOfWorkers(123)
.publicKey("publicKey")
.publicKeys(List.of("publicKeys"))
.securityConfiguration("securityConfiguration")
.securityGroupIds(List.of("securityGroupIds"))
.subnetId("subnetId")
.tags(tags)
.workerType("workerType")
.build();
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.Glue;
var arguments_;
var tags;
var cfnDevEndpoint = new CfnDevEndpoint(this, "MyCfnDevEndpoint", new CfnDevEndpointProps {
RoleArn = "roleArn",
// the properties below are optional
Arguments = arguments_,
EndpointName = "endpointName",
ExtraJarsS3Path = "extraJarsS3Path",
ExtraPythonLibsS3Path = "extraPythonLibsS3Path",
GlueVersion = "glueVersion",
NumberOfNodes = 123,
NumberOfWorkers = 123,
PublicKey = "publicKey",
PublicKeys = new [] { "publicKeys" },
SecurityConfiguration = "securityConfiguration",
SecurityGroupIds = new [] { "securityGroupIds" },
SubnetId = "subnetId",
Tags = tags,
WorkerType = "workerType"
});
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"
var arguments_ interface{}
var tags interface{}
cfnDevEndpoint := awscdk.Aws_glue.NewCfnDevEndpoint(this, jsii.String("MyCfnDevEndpoint"), &CfnDevEndpointProps{
RoleArn: jsii.String("roleArn"),
// the properties below are optional
Arguments: arguments_,
EndpointName: jsii.String("endpointName"),
ExtraJarsS3Path: jsii.String("extraJarsS3Path"),
ExtraPythonLibsS3Path: jsii.String("extraPythonLibsS3Path"),
GlueVersion: jsii.String("glueVersion"),
NumberOfNodes: jsii.Number(123),
NumberOfWorkers: jsii.Number(123),
PublicKey: jsii.String("publicKey"),
PublicKeys: []*string{
jsii.String("publicKeys"),
},
SecurityConfiguration: jsii.String("securityConfiguration"),
SecurityGroupIds: []*string{
jsii.String("securityGroupIds"),
},
SubnetId: jsii.String("subnetId"),
Tags: tags,
WorkerType: jsii.String("workerType"),
})
Initializer
new CfnDevEndpoint(scope: Construct, id: string, props: CfnDevEndpointProps)
CfnDevEndpoint(scope: Construct, id: str, props: CfnDevEndpointProps)
new CfnDevEndpoint(Construct scope, String id, CfnDevEndpointProps props)
new CfnDevEndpoint(Construct scope, string id, CfnDevEndpointProps props)
NewCfnDevEndpoint(Scope Construct, Id *string, Props CfnDevEndpointProps)
Construct Props
argumentsoptionalanyargumentsoptionalAnyargumentsoptionalObjectArgumentsoptionalobjectArgumentsoptionalinterface{} #notes
Valid arguments are:
"--enable-glue-datacatalog": """GLUE_PYTHON_VERSION": "3""GLUE_PYTHON_VERSION": "2"
You can specify a version of Python support for development endpoints by using the Arguments parameter in the CreateDevEndpoint or UpdateDevEndpoint APIs. If no arguments are provided, the version defaults to Python 2.
endpointNameoptionalstringendpoint_nameoptionalstrendpointNameoptionalStringEndpointNameoptionalstringEndpointNameoptional*string #extraJarsS3Pathoptionalstringextra_jars_s3_pathoptionalstrextraJarsS3PathoptionalStringExtraJarsS3PathoptionalstringExtraJarsS3Pathoptional*string #You can only use pure Java/Scala libraries with a
DevEndpoint.
extraPythonLibsS3Pathoptionalstringextra_python_libs_s3_pathoptionalstrextraPythonLibsS3PathoptionalStringExtraPythonLibsS3PathoptionalstringExtraPythonLibsS3Pathoptional*string #notes
Multiple values must be complete paths separated by a comma.
You can only use pure Python libraries with a
DevEndpoint. Libraries that rely on C extensions, such as the pandas Python data analysis library, are not currently supported.
glueVersionoptionalstringglue_versionoptionalstrglueVersionoptionalStringGlueVersionoptionalstringGlueVersionoptional*string #notes
The Python version indicates the version supported for running your ETL scripts on development endpoints.
For more information about the available AWS Glue versions and corresponding Spark and Python versions, see Glue version in the developer guide.
Development endpoints that are created without specifying a Glue version default to Glue 0.9.
You can specify a version of Python support for development endpoints by using the Arguments parameter in the CreateDevEndpoint or UpdateDevEndpoint APIs. If no arguments are provided, the version defaults to Python 2.
numberOfNodesoptionalnumbernumber_of_nodesoptionalint | floatnumberOfNodesoptionalNumberNumberOfNodesoptionaldoubleNumberOfNodesoptional*float64 #numberOfWorkersoptionalnumbernumber_of_workersoptionalint | floatnumberOfWorkersoptionalNumberNumberOfWorkersoptionaldoubleNumberOfWorkersoptional*float64 #The maximum number of workers you can define are 299 for G.1X , and 149 for G.2X .
publicKeyoptionalstringpublic_keyoptionalstrpublicKeyoptionalStringPublicKeyoptionalstringPublicKeyoptional*string #This attribute is provided for backward compatibility because the recommended attribute to use is public keys.
publicKeysoptionalstring[]public_keysoptionaltyping.List[str]publicKeysoptionalList<String>PublicKeysoptionalstring[]PublicKeysoptional*[]*string #notes
Using this attribute is preferred over a single public key because the public keys allow you to have a different private key per client.
If you previously created an endpoint with a public key, you must remove that key to be able to set a list of public keys. Call the
UpdateDevEndpointAPI operation with the public key content in thedeletePublicKeysattribute, and the list of new keys in theaddPublicKeysattribute.
securityConfigurationoptionalstringsecurity_configurationoptionalstrsecurityConfigurationoptionalStringSecurityConfigurationoptionalstringSecurityConfigurationoptional*string #securityGroupIdsoptionalstring[]security_group_idsoptionaltyping.List[str]securityGroupIdsoptionalList<String>SecurityGroupIdsoptionalstring[]SecurityGroupIdsoptional*[]*string #subnetIdoptionalstringsubnet_idoptionalstrsubnetIdoptionalStringSubnetIdoptionalstringSubnetIdoptional*string #workerTypeoptionalstringworker_typeoptionalstrworkerTypeoptionalStringWorkerTypeoptionalstringWorkerTypeoptional*string #notes
Accepts a value of Standard, G.1X, or G.2X.
- For the
Standardworker type, each worker provides 4 vCPU, 16 GB of memory and a 50GB disk, and 2 executors per worker. - For the
G.1Xworker type, each worker maps to 1 DPU (4 vCPU, 16 GB of memory, 64 GB disk), and provides 1 executor per worker. We recommend this worker type for memory-intensive jobs. - For the
G.2Xworker type, each worker maps to 2 DPU (8 vCPU, 32 GB of memory, 128 GB disk), and provides 1 executor per worker. We recommend this worker type for memory-intensive jobs.
Known issue: when a development endpoint is created with the G.2X WorkerType configuration, the Spark drivers for the development endpoint will run on 4 vCPU, 16 GB of memory, and a 64 GB disk.
Properties
CFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAMEstrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*string static #cfnOptionsICfnResourceOptionscfn_optionsICfnResourceOptionscfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptions #cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*string #creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*string #devEndpointRefDevEndpointReferencedev_endpoint_refDevEndpointReferencedevEndpointRefDevEndpointReferenceDevEndpointRefDevEndpointReferenceDevEndpointRefDevEndpointReference #endpointNamemay be undefinedstringendpoint_namemay be undefinedstrendpointNamemay be undefinedStringEndpointNamemay be undefinedstringEndpointNamemay be undefined*string #extraJarsS3Pathmay be undefinedstringextra_jars_s3_pathmay be undefinedstrextraJarsS3Pathmay be undefinedStringExtraJarsS3Pathmay be undefinedstringExtraJarsS3Pathmay be undefined*string #extraPythonLibsS3Pathmay be undefinedstringextra_python_libs_s3_pathmay be undefinedstrextraPythonLibsS3Pathmay be undefinedStringExtraPythonLibsS3Pathmay be undefinedstringExtraPythonLibsS3Pathmay be undefined*string #glueVersionmay be undefinedstringglue_versionmay be undefinedstrglueVersionmay be undefinedStringGlueVersionmay be undefinedstringGlueVersionmay be undefined*string #The logical ID of the element is calculated from the path of the resource node in the construct tree.
To override this value, use overrideLogicalId(newLogicalId).
numberOfNodesmay be undefinednumbernumber_of_nodesmay be undefinedint | floatnumberOfNodesmay be undefinedNumberNumberOfNodesmay be undefineddoubleNumberOfNodesmay be undefined*float64 #numberOfWorkersmay be undefinednumbernumber_of_workersmay be undefinedint | floatnumberOfWorkersmay be undefinedNumberNumberOfWorkersmay be undefineddoubleNumberOfWorkersmay be undefined*float64 #publicKeymay be undefinedstringpublic_keymay be undefinedstrpublicKeymay be undefinedStringPublicKeymay be undefinedstringPublicKeymay be undefined*string #publicKeysmay be undefinedstring[]public_keysmay be undefinedtyping.List[str]publicKeysmay be undefinedList<String>PublicKeysmay be undefinedstring[]PublicKeysmay be undefined*[]*string #If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).
securityConfigurationmay be undefinedstringsecurity_configurationmay be undefinedstrsecurityConfigurationmay be undefinedStringSecurityConfigurationmay be undefinedstringSecurityConfigurationmay be undefined*string #securityGroupIdsmay be undefinedstring[]security_group_idsmay be undefinedtyping.List[str]securityGroupIdsmay be undefinedList<String>SecurityGroupIdsmay be undefinedstring[]SecurityGroupIdsmay be undefined*[]*string #CfnElements must be defined within a stack scope (directly or indirectly).
subnetIdmay be undefinedstringsubnet_idmay be undefinedstrsubnetIdmay be undefinedStringSubnetIdmay be undefinedstringSubnetIdmay be undefined*string #workerTypemay be undefinedstringworker_typemay be undefinedstrworkerTypemay be undefinedStringWorkerTypemay be undefinedstringWorkerTypemay be undefined*string #Methods
addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string) #1 parameter
Parameters
pathpathpathpathPath— The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource) deprecated #This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.
addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource) deprecated #notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.
addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{}) #addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{}) #notes · 2 parameters
To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).
If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.
To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.
For example,
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');
would add the overrides
"Properties": {
"GlobalSecondaryIndexes": [
{
"Projection": {
"NonKeyAttributes": [ "myattribute" ]
...
}
...
},
{
"ProjectionType": "INCLUDE"
...
},
]
...
}
The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.
Parameters
pathpathpathpathPath— - The path of the property, you can use dot notation to override values in complex types.valuevaluevaluevalueValue— - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string) #1 parameter
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{}) #Syntactic sugar for addOverride("Properties.<...>", value).
2 parameters
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path of the property.valuevaluevaluevalueValue— The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string) #notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.
applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength) #When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.
1 parameter
Parameters
strengthstrengthstrengthstrengthStrength— - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions) #notes
The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.
The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:
cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string #getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference #Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.
1 parameter
Parameters
attributeNameattribute_nameattributeNameattributeNameAttributeName— The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{} #inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector) #1 parameter
Parameters
inspectorinspectorinspectorinspectorInspector— tree inspector to collect and process attributes.
isCfnDevEndpoint(x: any): boolean@staticmethod def is_cfn_dev_endpoint(x: Any) -> boolpublic static Boolean isCfnDevEndpoint(Object x)public static bool IsCfnDevEndpoint(object x)func IsCfnDevEndpoint(X interface{}) *bool static #isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *bool static #Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.
returns
Returns: The construct as a stack element or undefined if it is not a stack element.
isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *bool static #isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *bool static #notes · 1 parameter · returns
Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.
Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.
Parameters
xxxxX— Any object.
Returns: true if x is an object created from a class which extends Construct.
obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{} #For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.
overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string) #1 parameter
Parameters
newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId— The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource) deprecated #This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource) #This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource) #2 parameters
Parameters
targettargettargettargetTarget— The dependency to replace.newTargetnew_targetnewTargetnewTargetNewTarget— The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string #returns
Returns: a string representation of this resource
with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct #Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.